Bug 978978 - Unexpected differences in httpd/include/ap_config_layout.h in ZIP and RPM
Unexpected differences in httpd/include/ap_config_layout.h in ZIP and RPM
Status: NEW
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd (Show other bugs)
2.0.1
Unspecified Unspecified
low Severity low
: ER03
: 2.1.1
Assigned To: Jean-frederic Clere
Jan Stefl
:
Depends On:
Blocks: 1363639
  Show dependency treegraph
 
Reported: 2013-06-27 08:24 EDT by Michal Haško
Modified: 2016-08-03 05:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
In JBoss Enterprise Web Server 3.0, the following C macros are available in the ZIP distribution but are not present in the RPM distribution in <filename class="directory">httpd/include/ap_config_layout.h</filename>: <screen>#define DEFAULT_EXP_LIBEXECDIR "/usr/lib/httpd/modules" #define DEFAULT_REL_LIBEXECDIR "/usr/lib/httpd/modules" #define DEFAULT_EXP_INSTALLBUILDDIR "/usr/lib/httpd/build" #define DEFAULT_REL_INSTALLBUILDDIR "/usr/lib/httpd/build"</screen> This is a known issue and there is currently no workaround for this problem.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Haško 2013-06-27 08:24:51 EDT
This is a request for clarification for:

The following four C macros were found in zip distribution that are not present in rpm distribution in httpd/include/ap_config_layout.h

#define DEFAULT_EXP_LIBEXECDIR "/usr/lib/httpd/modules"
#define DEFAULT_REL_LIBEXECDIR "/usr/lib/httpd/modules"
#define DEFAULT_EXP_INSTALLBUILDDIR "/usr/lib/httpd/build"
#define DEFAULT_REL_INSTALLBUILDDIR "/usr/lib/httpd/build"

Please clarify if this is expected. If so, close the issue.
Comment 1 Michal Haško 2013-06-27 08:30:03 EDT
Found on jboss-ews-httpd-2.0.1-CR3-RHEL6-i386.zip VS httpd-devel-2.2.22-23.ep6.el6.i386
Comment 3 Weinan Li 2014-06-17 02:33:38 EDT
$ diff -Nur ./httpd-2.2.22/include/ap_config_layout.h.in ./jboss-ews-2.1-src/httpd/include/ap_config_layout.h.in

The problem in EWS 2.0.1 may caused by the scripts in jboss-ews zip spec, it's harmless. Anyway in EWS 2.1.0 this is fixed.
Comment 4 Michal Haško 2014-06-17 08:08:38 EDT
Moving to milestone ER3. The ER2 errata were not in a testable state.
Comment 5 Michal Haško 2014-08-08 06:11:59 EDT
Same issue is present on CR3 zip vs rpm.
Comment 6 Weinan Li 2014-08-08 08:44:16 EDT
$ diff -Nur ./usr/include/httpd/ap_config_layout.h ./jboss-ews-2.1/httpd/include/ap_config_layout.h
--- ./usr/include/httpd/ap_config_layout.h	2014-08-08 20:23:20.000000000 +0800
+++ ./jboss-ews-2.1/httpd/include/ap_config_layout.h	2014-07-18 22:39:52.000000000 +0800
@@ -30,12 +30,16 @@
 #define DEFAULT_REL_BINDIR "/usr/bin"
 #define DEFAULT_EXP_SBINDIR "/usr/sbin"
 #define DEFAULT_REL_SBINDIR "/usr/sbin"
+#define DEFAULT_EXP_LIBEXECDIR "/usr/lib/httpd/modules"
+#define DEFAULT_REL_LIBEXECDIR "/usr/lib/httpd/modules"
 #define DEFAULT_EXP_MANDIR "/usr/share/man"
 #define DEFAULT_REL_MANDIR "/usr/share/man"
 #define DEFAULT_EXP_SYSCONFDIR "/etc/httpd/conf"
 #define DEFAULT_REL_SYSCONFDIR "conf"
 #define DEFAULT_EXP_DATADIR "/var/www"
 #define DEFAULT_REL_DATADIR "/var/www"
+#define DEFAULT_EXP_INSTALLBUILDDIR "/usr/lib/httpd/build"
+#define DEFAULT_REL_INSTALLBUILDDIR "/usr/lib/httpd/build"
 #define DEFAULT_EXP_ERRORDIR "/var/www/error"
 #define DEFAULT_REL_ERRORDIR "/var/www/error"
 #define DEFAULT_EXP_ICONSDIR "/var/www/icons"


The reason is that in srpm we have the source before running 'make', and in zip we have sources after running 'make'. This is changed by the building process which is harmless to both users and developers. I'd suggest we mark it as NOTABUG or a known issue.

Note You need to log in before you can comment on or make changes to this bug.